# operator==,!=(std::lognormal_distribution)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | lognormal distribution

template< class ResultType > bool operator==( const lognormal_distribution<ResultType>& lhs, const lognormal_distribution<ResultType>& rhs ); | (1) |
template< class ResultType > bool operator!=( const lognormal_distribution<ResultType>& lhs, const lognormal_distribution<ResultType>& rhs ); | (2) |

Compares two distribution objects. Two distribution objects are equal when parameter values and internal state is the same.

1) Compares two distribution objects for equality.

2) Compares two distribution objects for inequality.

### Parameters

lhs, rhs | - | distribution objects to compare

### Return value

1) true if the distribution objects are equal, false otherwise

2) true if the distribution objects are not equal, false otherwise

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/lognormal_distribution/operator_cmp&oldid=50977"